package rocks.zipcode.io.quiz3.fundamentals;

/**
 * @author leon on 09/12/2018.
 */
public class PigLatinGenerator {
    public String translate(String str) {
        String output = "";
        String[] words = str.split(" ");
        for(int i = 0; i < words.length; i ++){
            output += translateWord(words[i]) + " ";
        }
        return output.trim();
    }

    public String translateWord(String word){
        for(int i = 0; i < word.length(); i++){
            if(!Character.isLetter(word.charAt(i))){
                return null;
            }
        }
        if(!VowelUtils.hasVowels(word)) return word + "ay";
        if(VowelUtils.startsWithVowel(word)){
            return word + "way";
        }else{
            int indexOfFirstVowel = VowelUtils.getIndexOfFirstVowel(word);
            return word.substring(indexOfFirstVowel) + word.substring(0, indexOfFirstVowel) + "ay";
        }
    }
}
